Documentation IndexFetch the complete documentation index at: /docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.narev.ai/v1/price/{provider_id}
{ "data": [ { "model_id": "<string>", "provider_id": "<string>", "pricing": { "prompt": 123, "completion": 123, "discount": 123, "request": 123, "web_search": 123, "input_cache_read": 123, "input_cache_write": 123, "image": 123, "image_output": 123, "audio": 123, "audio_output": 123, "input_audio_cache": 123, "internal_reasoning": 123 }, "message": "<string>" } ], "meta": { "page": 123, "page_size": 123, "total": 123, "total_pages": 123 } }
Returns pricing for all models of the given provider.
"openai"
"gpt-4o"
x >= 1
1
1 <= x <= 1000
100
Pricing entries.
Show child attributes
Was this page helpful?